
{{ $allListings := .Site.GetPage "/listings" }}

{{ $items := $allListings.Resources.Match "*" }}


<div class="pt-8 pb-12">
  <div class="sm:flex">
    <button id="dateBtn" type="button" name="sort" class="items-center w-full sm:w-1/4 px-4 py-2 sm:mr-2 mt-4 sm:mt-0 border border-gray-300 shadow-sm text-base font-sans font-medium rounded-md text-uwmBlue bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-uwmBlue">
      All
    </button>

    <button id="part-time" type="button" name="filter" class="items-center w-full sm:w-1/4 px-4 py-2 sm:mx-2 mt-4 sm:mt-0 border border-gray-300 shadow-sm text-base font-sans font-medium rounded-md text-uwmBlue bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-uwmBlue">
      Part Time
    </button>

    <button id="full-time" type="button" name="filter" class="items-center w-full sm:w-1/4 px-4 py-2 sm:mx-2 mt-4 sm:mt-0 border border-gray-300 shadow-sm text-base font-sans font-medium rounded-md text-uwmBlue bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-uwmBlue">
      Full Time
    </button>

    <div class="w-full sm:w-1/4 inline-flex items-center px-4 py-2 sm:ml-2 mt-4 sm:mt-0 border border-gray-300 shadow-sm text-base font-sans font-medium rounded-md text-uwmBlue bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-uwmBlue">
      <select id="location" name="location" class="w-full hover:bg-gray-50">
        

      <!-- REMOVING DUPLICATE STATES -->
      <!-- Create 2 arrays -->
      {{ $states := slice }}
      {{ $unique := slice }} 
        
        <!-- Grab state param from pages and save to $states array -->
        {{ range $items }}
          {{ $states = $states | append .Params.state }}
        {{ end }}
      
      <!-- Add all state names to one array -->
      {{ range $states }}
        {{ $unique = $unique | append . }}
      {{ end }}

      <!-- Remove duplicate state names -->
      {{ range ($unique | uniq ) }}
        <option class='state'>{{ . }}</option>
      {{ end }}
    </select>
  </div>
</div>



  <div id="list">
    {{ range sort $items ".Params.publish_date" "desc" }}
      {{ if ne .Params.draft true }}
        {{ $unpublishDate := .Params.unpublish_date }} 

        {{ if .Params.unpublish_date }}
          {{ $unpublishDate =  (time $unpublishDate).Unix }} 
        {{ end }}

        {{ if or (eq .Params.unpublish false) (le now.Unix $unpublishDate ) }}

          <div id="{{ .File.BaseFileName }}" class="list-item bg-white shadow overflow-hidden sm:rounded-md my-4 md:my-8">
            <div class="px-4 py-4 sm:px-6">
              <div class="flex items-center justify-between">
                <p class="text-xl font-medium text-uwmBlue truncate">
                  {{ .Params.organization }}
                </p>
                <div class="ml-2 flex-shrink-0 flex">
                  {{ with .Params.job_length }}
                    <p class="px-2 inline-flex text-sm leading-5 font-semibold rounded-full bg-green-100 text-green-800">
                      {{ . }}
                    </p>
                  {{ end }}
                </div>
              </div>
              <div class="mt-2 sm:flex sm:justify-between">
                <div class="">
                  <p class="flex items-center text-lg text-gray-500 mb-0">
                    <!-- Heroicon name: solid/users -->
                    <svg class="flex-shrink-0 mr-1.5 h-5 w-5 text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                      <path d="M9 6a3 3 0 11-6 0 3 3 0 016 0zM17 6a3 3 0 11-6 0 3 3 0 016 0zM12.93 17c.046-.327.07-.66.07-1a6.97 6.97 0 00-1.5-4.33A5 5 0 0119 16v1h-6.07zM6 11a5 5 0 015 5v1H1v-1a5 5 0 015-5z" />
                    </svg>
                    {{ .Params.job_title | humanize | title }}
                  </p>
                </div>
              </div>

              <div class="grid sm:grid-cols-3 items-center gap-x-4 gap-y-2">
                <p class="mt-2 flex items-center text-lg text-gray-500 sm:mt-0 mb-0">
                  <!-- Heroicon name: solid/location-marker -->
                  <svg class="flex-shrink-0 mr-1.5 h-5 w-5 text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                    <path fill-rule="evenodd" d="M5.05 4.05a7 7 0 119.9 9.9L10 18.9l-4.95-4.95a7 7 0 010-9.9zM10 11a2 2 0 100-4 2 2 0 000 4z" clip-rule="evenodd" />
                  </svg>
                  {{ .Params.city }}, {{ .Params.state | upper }}
                </p>

                <p class="mt-2 flex items-center text-lg text-gray-500 sm:mt-0 mb-0">
                  <svg xmlns="http://www.w3.org/2000/svg" class="flex-shrink-0 mr-1.5 h-5 w-5 text-gray-400" viewBox="0 0 20 20" fill="currentColor">
                    <path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd" />
                  </svg>
                  <time>{{ dateFormat "January 2, 2006" .Params.publish_date }}</time>
                </p>
                {{ if .Params.pdf }}
                  <div class="text-center">
                      <a href="{{ .Params.pdf }}" download="{{ .Params.pdf }}" class="font-display text-base flex items-center justify-center">
                        <span class="mr-2 w-4 h-4 inline-flex">
                          <svg x="0px" y="0px" viewBox="0 0 475.078 475.077" class="fill-current"
                              >
                            <g>
                              <g>
                                <path d="M467.083,318.627c-5.324-5.328-11.8-7.994-19.41-7.994H315.195l-38.828,38.827c-11.04,10.657-23.982,15.988-38.828,15.988
                                  c-14.843,0-27.789-5.324-38.828-15.988l-38.543-38.827H27.408c-7.612,0-14.083,2.669-19.414,7.994
                                  C2.664,323.955,0,330.427,0,338.044v91.358c0,7.614,2.664,14.085,7.994,19.414c5.33,5.328,11.801,7.99,19.414,7.99h420.266
                                  c7.61,0,14.086-2.662,19.41-7.99c5.332-5.329,7.994-11.8,7.994-19.414v-91.358C475.078,330.427,472.416,323.955,467.083,318.627z
                                  M360.025,414.841c-3.621,3.617-7.905,5.424-12.854,5.424s-9.227-1.807-12.847-5.424c-3.614-3.617-5.421-7.898-5.421-12.844
                                  c0-4.948,1.807-9.236,5.421-12.847c3.62-3.62,7.898-5.431,12.847-5.431s9.232,1.811,12.854,5.431
                                  c3.613,3.61,5.421,7.898,5.421,12.847C365.446,406.942,363.638,411.224,360.025,414.841z M433.109,414.841
                                  c-3.614,3.617-7.898,5.424-12.848,5.424c-4.948,0-9.229-1.807-12.847-5.424c-3.613-3.617-5.42-7.898-5.42-12.844
                                  c0-4.948,1.807-9.236,5.42-12.847c3.617-3.62,7.898-5.431,12.847-5.431c4.949,0,9.233,1.811,12.848,5.431
                                  c3.617,3.61,5.427,7.898,5.427,12.847C438.536,406.942,436.729,411.224,433.109,414.841z"/>
                                <path d="M224.692,323.479c3.428,3.613,7.71,5.421,12.847,5.421c5.141,0,9.418-1.808,12.847-5.421l127.907-127.908
                                  c5.899-5.519,7.234-12.182,3.997-19.986c-3.23-7.421-8.847-11.132-16.844-11.136h-73.091V36.543c0-4.948-1.811-9.231-5.421-12.847
                                  c-3.62-3.617-7.901-5.426-12.847-5.426h-73.096c-4.946,0-9.229,1.809-12.847,5.426c-3.615,3.616-5.424,7.898-5.424,12.847V164.45
                                  h-73.089c-7.998,0-13.61,3.715-16.846,11.136c-3.234,7.801-1.903,14.467,3.999,19.986L224.692,323.479z"/>
                              </g>
                            </g>
              
                            </svg>
                          </span>
                        PDF
                      
                      </a>
                  </div>
                {{ else }}

                  <a class="w-full sm:w-4/5 mt-4 mx-auto sm:mt-0 sm:mx-0 inline-flex justify-center justify-self-end self-end px-4 py-2 border border-uwmBlue text-lg font-medium font-sans rounded-md shadow-sm hover:bg-uwmBlue hover:no-underline hover:text-white transition duration-200" href="{{ .Params.link_url }}">{{ .Params.link_label | humanize| title }}</a>
                {{ end }}
              </div>
            </div>
          </div>
        {{ end }}
      {{ end }}

    {{ end }}
  </div>                
</div>
  





 